std::generic_category(3)

NAME
std::generic_category - std::generic_category

Synopsis
   Defined in header <system_error>
   const std::error_category& generic_category() noexcept; (since C++11)
   Obtains a reference to the static error category object for generic errors. The
   object is required to override the virtual function error_category::name() to return
   a pointer to the string "generic". It is used to identify error conditions that
   correspond to the POSIX errno codes.

Parameters
   (none)

Return value
   A reference to the static object of unspecified runtime type, derived from
   std::error_category.

Example
// Run this code
 #include <iostream>
 #include <system_error>
 #include <cerrno>
 #include <string>
 int main()
 {
     std::error_condition econd = std::generic_category().default_error_condition(EDOM);
     std::cout << "Category: " << econd.category().name() << '\n'
               << "Value: " << econd.value() << '\n'
               << "Message: " << econd.message() << '\n';
 }

Output:
 Category: generic
 Value: 33
 Message: Numerical argument out of domain

See also
   system_category identifies the operating system error category
   (C++11) (function)
   errc the std::error_condition enumeration listing all standard <cerrno>
   (C++11) macro constants
                   (class)